On Thu, 13 Oct 2005, mathew wrote:

> Ara.T.Howard wrote:
>> one of the biggest stumbling blocks to the widespread adoption of ruby in
>> my lab is the fact what we've standardized on redhat enterprise for all of
>> our boxen.
>
> How unfortunate for you.
>
>> it ships with 1.6.8.  this is a sorry state of affairs and i wonder
>> why it should be so.
>
> Because RedHat Linux is... well, let's just say I wouldn't run it by choice
> if they gave it away for free.

an of course enterprise is not...

> SuSE Linux Enterprise Server ships with Ruby 1.8.1, so it's clearly possible
> for a stable enterprise-level Linux to include a reasonably up-to-date Ruby.
> SuSE also ships with postfix as its mailer rather than RedHat's choice of
> the execrable sendmail.
>
>> anyone know how to go about changing it?
>
> Complain to RedHat. Tell them you're a dissatisfied customer considering
> switching to Novell's superior offering.

a reasonable solution.  i guess i'm wondering if any rubyists out there are a
point of contact for them or what - i don't understand how they interface to
an open-source project like ruby.

cheers.

-a
-- 
===============================================================================
| email :: ara [dot] t [dot] howard [at] noaa [dot] gov
| phone :: 303.497.6469
| Your life dwells amoung the causes of death
| Like a lamp standing in a strong breeze.  --Nagarjuna
===============================================================================